import { AuthComponent } from '@/modules/auth/pages/auth.component';
import { Component, inject } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'pos-auth',
  templateUrl: 'auth.component.html',
  imports: [AuthComponent],
})
export class PosAuthComponent {
  private readonly router = inject(Router);

  onLoggedIn(isReady: boolean) {
    if (isReady) {
      this.router.navigateByUrl('/');
    }
  }
}
